Documentation Index

Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt

Use this file to discover all available pages before exploring further.

createCategory

Prev Next

Available in Classic and VPC

Create a category to categorize email templates.

Request

This section describes the request format. The method and URI are as follows:

Method URI
POST /category

Request headers

For information about the headers common to all Cloud Outbound Mailer APIs, see Cloud Outbound Mailer request headers.

Request body

You can include the following data in the body of your request:

Field Type Required Description
categoryName String Required Name of the category to create
  • Enter 1-100 characters by combining Korean letters, English letters, numbers, and special characters ".", "-", and "_".
parentSid Integer Optional SID of the parent category
  • - 1 (root) (default)
  • Enter if you are creating a new category under a specific category

Request example

The request example is as follows:

curl --location --request POST 'https://mail.apigw.ntruss.com/api/v1/category' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json' \
--data '{
  "categoryName": "testCategory",
  "parentSid": -1
}'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
sid Integer - SID of the created category
parentSid Integer - SID of the parent category
name String - Name of the created category

Response status codes

For information about the HTTP status codes common to all Cloud Outbound Mailer APIs, see Cloud Outbound Mailer response status codes.

Response example

The response example is as follows:

{
  "sid": 252,
  "parentSid": -1,
  "name": "testCategory"
}